package rest_result

import "git.ali33.ru/fcg-xvii/go-tools/json"

func NewResultOK(data any) *ResultOK {
	if data == nil {
		data = json.Map{}
	}
	return &ResultOK{
		OK:   true,
		Data: data,
	}
}

type ResultOK struct {
	OK   bool `rest:"default"`
	Data any  `rest:"default"`
}
