package example_chat_test

import (
	"log"

	"git.ali33.ru/fcg-xvii/rest"
	"git.ali33.ru/fcg-xvii/rest/example_chat/chat"
	"git.ali33.ru/fcg-xvii/rest/example_chat/users"
)

func NewApplication(chat *chat.Chat) *Application {
	//rApp := rest_websocket.NewApplication(ctx)
	return &Application{
		Chat: chat,
		//Application: rApp,
	}
}

type Application struct {
	*chat.Chat
}

func (s *Application) Executer(r rest.IRequestIn) (rest.IExecuter, bool) {
	log.Println("COMMAND", r.RCommand())
	switch r.RCommand() {
	case "/users/register":
		return &users.Register{}, true
	case "/users/tickers":
		return &users.Tickers{}, true
	}
	return nil, false
}
