package rest

type MimeFile struct {
	Name     string
	MimeType string
	File     IReadCloserLen
}

func (s *MimeFile) Read(p []byte) (n int, err error) {
	return s.File.Read(p)
}

func (s *MimeFile) Close() error {
	return s.File.Close()
}

func (s *MimeFile) Len() int64 {
	return s.File.Len()
}
