package rest_websocket

import "github.com/gorilla/websocket"

func NewClient(addr string) (*Socket, error) {
	conn, _, err := websocket.DefaultDialer.Dial(addr, nil)
	if err != nil {
		return nil, err
	}
	return NewSocket(conn, false), nil
}
